part of 'location_bloc.dart';

abstract class LocationState extends Equatable {
  const LocationState();

  @override
  List<Object> get props => [];
}

class LocationInitial extends LocationState {}

class LocationFailure extends LocationState {}

class LocationSuccess<T> extends LocationState {
  final List<T> items;

  const LocationSuccess({required this.items});

  LocationSuccess copyWith({List<T>? items}) {
    return LocationSuccess(items: items ?? this.items);
  }

  @override
  List<Object> get props => [items];
}
